glibmm 2.34.1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | List of all members
Glib::KeyFileError Class Reference

Exception class for KeyFile errors. More...

`#include <glibmm/keyfile.h>`

Inheritance diagram for Glib::KeyFileError:
[legend]

## Public Types
enum | Code { UNKNOWN_ENCODING, PARSE, NOT_FOUND, KEY_NOT_FOUND, GROUP_NOT_FOUND, INVALID_VALUE }

## Public Member Functions
| KeyFileError (Code error_code, const Glib::ustring& error_message)
| KeyFileError (GError* gobject)
Code | code () const
Public Member Functions inherited from Glib::Error
| Error ()
| Error (GQuark domain, int code, const Glib::ustring& message)
| Error (GError* gobject, bool take_copy=false)
| Error (const Error& other)
Error& | operator= (const Error& other)
virtual | ~Error () throw ()
GQuark | domain () const
int | code () const
virtual Glib::ustring | what () const
bool | matches (GQuark domain, int code) const
GError* | gobj ()
const GError* | gobj () const
Public Member Functions inherited from Glib::Exception
virtual | ~Exception ()=0 throw ()

## Additional Inherited Members
Protected Attributes inherited from Glib::Error
GError* | gobject_

## Detailed Description

Exception class for KeyFile errors.

## Member Enumeration Documentation

enum Glib::KeyFileError::Code

Enumerator:

  UNKNOWN_ENCODING |
  PARSE |
  NOT_FOUND |
  KEY_NOT_FOUND |
  GROUP_NOT_FOUND |
  INVALID_VALUE |

## Constructor & Destructor Documentation

Glib::KeyFileError::KeyFileError | ( | Code | error_code,
|  | const Glib::ustring& | error_message
| ) |  |

Glib::KeyFileError::KeyFileError | ( | GError * | gobject | ) |
| explicit

## Member Function Documentation

Code Glib::KeyFileError::code | ( |  | ) | const